<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\KursUebersicht\Raumplanung;

class KurstageVorschauPresenter extends \Kufer\KuferTools\Basis\Presenter\MitRahmenPresenter
{
  protected function getView()
  {
    return new KurstageVorschauView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new KurstageVorschauViewModel();
    $viewModel->kurs = $this->useCaseResponse->kurs;
    $viewModel->kurstage = $this->useCaseResponse->kurstage;

    return $viewModel;
  }
}